uniform sampler2D CC_Texture0;
varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
void main()
{
    vec4 sampleColor = v_fragmentColor * texture2D(CC_Texture0,v_texCoord);
    float grayColor = sampleColor.r * 0.299 + sampleColor.g * 0.587 + sampleColor.b * 0.114;
    gl_FragColor = vec4(grayColor,grayColor,grayColor,sampleColor.a);
}
